/*
 * Class identifier (CLSID) functions
 *
 * Copyright (c) 2008-2013, Joachim Metz <joachim.metz@gmail.com>
 *
 * Refer to AUTHORS for acknowledgements.
 *
 * This software is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this software.  If not, see <http://www.gnu.org/licenses/>.
 */

#if !defined( _LIBOLECF_CLASS_IDENTIFIER_H )
#define _LIBOLECF_CLASS_IDENTIFIER_H

#include <common.h>
#include <memory.h>
#include <types.h>

#include "libolecf_definitions.h"
#include "libolecf_libcerror.h"

#if defined( __cplusplus )
extern "C" {
#endif

#if defined( HAVE_DEBUG_OUTPUT )

/* The CLSID is stored as a little endian GUID
 */
typedef struct libolecf_class_identifier_definition libolecf_class_identifier_definition_t;

struct libolecf_class_identifier_definition
{
	/* The class identifier
	 */
	uint8_t *identifier;

	/* The class name
	 */
	const char *name;
};

#endif

extern uint8_t libolecf_class_identifier_summary_information[ 16 ];
extern uint8_t libolecf_class_identifier_document_summary_information[ 16 ];

#if defined( HAVE_DEBUG_OUTPUT )

const char *libolecf_class_identifier_get_name(
             const uint8_t *class_identifier );

#endif

#if defined( __cplusplus )
}
#endif

#endif

